LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCachedContentResultSetStubFactory Interface Referencepublished

creates a CachedContentResultSetStub. More...

`import"XCachedContentResultSetStubFactory.idl";`

Inheritance diagram for XCachedContentResultSetStubFactory:

## Public Member Functions
com::sun::star::sdbc::XResultSet | createCachedContentResultSetStub ([in] com::sun::star::sdbc::XResultSet xSource)
| creates a remote optimized com::sun::star::sdbc::XResultSet. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

creates a CachedContentResultSetStub.

## Member Function Documentation

## ◆ createCachedContentResultSetStub()

com::sun::star::sdbc::XResultSet createCachedContentResultSetStub | ( | [in] com::sun::star::sdbc::XResultSet | xSource | ) |

creates a remote optimized com::sun::star::sdbc::XResultSet.

Parameters

  xSource | must be an instance of service ContentResultSet.

Returns
  an instance of service CachedContentResultSetStub.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XCachedContentResultSetStubFactory.idl